from pathlib import Path

PATHS_2019 = ['DigiRehab_BorgerID_TrainingDone.xlsx',
                    'DigiRehab_BorgerID_TrainingCancelled.xlsx',
                    'DigiRehab_BorgerID_StatusSet.xlsx',
                    'DigiRehab_BorgerID_ScreeningContent.xlsx',
                    'HjaelpemidlerUdtraek.csv',
                    'isoall.txt',
                    'DigiRehab_borgerIDALL.csv',
                    'clusters.csv']

PATHS_2020 = ['borgere_hmi_Rasmus_BorgerId_Gender_BirthYear.xlsx',
              'DrPatientData_RasmusPlusBorgerIdMinusCPR_2020.xlsx',
              'Observationer_Rasmus_BorgerId_Gender_BirthYear.xlsx',
              'Træning_Rasmus_BorgerId_Gender_BirthYear.xlsx']

ROOT_DIR = Path(__file__).absolute().parent.parent
MODELS_DIR = Path.joinpath(ROOT_DIR, 'models')
CONFIGS_DIR = Path.joinpath(ROOT_DIR, 'configs')
REFERENCES_DIR = Path.joinpath(ROOT_DIR, 'references')
REPORTS_DIR = Path.joinpath(ROOT_DIR, 'reports')
REPORTS_PLOTS_DIR = Path.joinpath(ROOT_DIR, 'reports/plots')
LOGS_DIR = Path.joinpath(ROOT_DIR, 'src/logs')
CONFIG_DIR = Path.joinpath(ROOT_DIR, 'src/cfg')
TESTS_FILES_DIR = Path.joinpath(ROOT_DIR, 'tests/files')
RAW_DATA_DIR_2019 = Path.joinpath(ROOT_DIR, 'data/raw/2019')
RAW_DATA_DIR_2020 = Path.joinpath(ROOT_DIR, 'data/raw/2020')
PROCESSED_DATA_DIR = Path.joinpath(ROOT_DIR, 'data/processed')
INTERIM_DATA_DIR = Path.joinpath(ROOT_DIR, 'data/interim')
EXTERNAL_DATA_DIR = Path.joinpath(ROOT_DIR, 'data/external')
CLUSTERS_DIR = Path.joinpath(ROOT_DIR, 'models/clusters')
COMPLETE_DIR = Path.joinpath(ROOT_DIR, 'models/complete')
COMPLETE_TF_DIR = Path.joinpath(ROOT_DIR, 'models/complete/tensorflow')
COMPLETE_XGB_DIR = Path.joinpath(ROOT_DIR, 'models/complete/xgboost')
COMPLETE_RF_DIR = Path.joinpath(ROOT_DIR, 'models/complete/random_forest')
COMPLETE_EMB_DIR = Path.joinpath(ROOT_DIR, 'models/complete/embeddings')
COMPLETE_EMB_FULL_DIR = Path.joinpath(ROOT_DIR, 'models/complete/embeddings_full')
COMPLIANCE_DIR = Path.joinpath(ROOT_DIR, 'models/compliance')
COMPLIANCE_TF_DIR = Path.joinpath(ROOT_DIR, 'models/compliance/tensorflow')
COMPLIANCE_XGB_DIR = Path.joinpath(ROOT_DIR, 'models/compliance/xgboost')
COMPLIANCE_RF_DIR = Path.joinpath(ROOT_DIR, 'models/compliance/random_forest')
COMPLIANCE_EMB_DIR = Path.joinpath(ROOT_DIR, 'models/compliance/embeddings')
FALL_DIR = Path.joinpath(ROOT_DIR, 'models/fall')
FALL_TF_DIR = Path.joinpath(ROOT_DIR, 'models/fall/tensorflow')
FALL_XGB_DIR = Path.joinpath(ROOT_DIR, 'models/fall/xgboost')
FALL_RF_DIR = Path.joinpath(ROOT_DIR, 'models/fall/random_forest')
FALL_EMB_DIR = Path.joinpath(ROOT_DIR, 'models/fall/embeddings')
RISK_DIR = Path.joinpath(ROOT_DIR, 'models/risk')
RISK_TF_DIR = Path.joinpath(ROOT_DIR, 'models/risk/tensorflow')
RISK_XGB_DIR = Path.joinpath(ROOT_DIR, 'models/risk/xgboost')
RISK_RF_DIR = Path.joinpath(ROOT_DIR, 'models/risk/random_forest')
RISK_EMB_DIR = Path.joinpath(ROOT_DIR, 'models/risk/embeddings')