import pandas as pd
from sklearn.datasets import make_classification
from tools.classifiers import KnnClassifier, SvmClassifier, LrClassifier
from tools.classifiers import XgbClassifier, RfClassifier, MlpClassifier
    
def test_xgb_classifier():
    X, y = make_classification(n_features=2, n_redundant=0, n_informative=2,
                           random_state=0, n_clusters_per_class=1)
    X = pd.DataFrame(X)
    y = pd.Series(y)
    result = XgbClassifier(X, y).evaluate()
    assert result is not None
    
def test_rf_classifier():
    X, y = make_classification(n_features=2, n_redundant=0, n_informative=2,
                           random_state=0, n_clusters_per_class=1)
    X = pd.DataFrame(X)
    y = pd.Series(y)
    result = RfClassifier(X, y).evaluate()
    assert result is not None
    
def test_knn_classifier():
    X, y = make_classification(n_features=2, n_redundant=0, n_informative=2,
                           random_state=0, n_clusters_per_class=1)
    X = pd.DataFrame(X)
    y = pd.Series(y)
    result = KnnClassifier(X, y).evaluate()
    assert result is not None
    
def test_lr_classifier():
    X, y = make_classification(n_features=2, n_redundant=0, n_informative=2,
                           random_state=0, n_clusters_per_class=1)
    X = pd.DataFrame(X)
    y = pd.Series(y)
    result = LrClassifier(X, y).evaluate()
    assert result is not None
    
def test_mlp_classifier():
    X, y = make_classification(n_features=2, n_redundant=0, n_informative=2,
                               random_state=0, n_clusters_per_class=1)
    result = MlpClassifier(X, y).evaluate()
    assert result is not None
    
def test_svm_classifier():
    X, y = make_classification(n_features=2, n_redundant=0, n_informative=2,
                           random_state=0, n_clusters_per_class=1)
    X = pd.DataFrame(X)
    y = pd.Series(y)
    result = SvmClassifier(X, y).evaluate()
    assert result is not None