const express = require("express");
const cors = require("cors");
const axios = require('axios');
const app = express();

app.use(cors(corsOptions));
app.use(express.json());
app.use(express.urlencoded({ extended: true }));

var corsOptions = {
  origin: "http://localhost:8081"
};

const predictURl = 'https://air-fastapi.azurewebsites.net/predict'
const input = {
  "Gender": 1,
  "BirthYear": 50,
  "LoanPeriod": 180,
  "Ats": "222718,093307,181210"
}

app.post("/home:ssn", (req, res) => {
  //To handle the SSN from the Search page
});
 
app.post("/home", (req, res) => {
  axios.post(predictURl, input).then(result => {
    console.log(`Probability Training: ${result.data.CompleteProb}`)
    console.log(`SHAP Values Training: ${result.data.CompleteShapValues}`)
    console.log(`Probability Fall: ${result.data.FallProb}`)
    console.log(`SHAP Values Fall: ${result.data.FallShapValues}`)
    res.json(result.data)
  }).catch(error => {
    console.error(error)
  })
  });

const PORT = process.env.PORT || 8080;
app.listen(PORT, () => {
  console.log(`Server is running on port ${PORT}.`);
});