import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import vuetify from './plugins/vuetify';
import VueApexCharts from 'vue-apexcharts'
import { VueSvgGauge } from 'vue-svg-gauge'
import { ValidationProvider } from 'vee-validate';

Vue.use(VueApexCharts)

Vue.config.productionTip = false

Vue.component('apexchart', VueApexCharts)
Vue.component('VueSvgGauge', VueSvgGauge)
Vue.component('ValidationProvider', ValidationProvider);

new Vue({
  router,
  store,
  vuetify,
  // VueApexCharts,
  // components: {
  //   VueSvgGauge
  // },
  render: h => h(App),
}).$mount('#app');
